Summary:	Download utility with resuming and segmented downloading
Name:		aria2
Version:	1.36.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/File transfer
Url:		http://aria2.sourceforge.net/
Source0:	http://downloads.sourceforge.net/aria2/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcares)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libuv)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
Requires:	rootcerts
Provides:	webfetch

%description
Aria2 has segmented downloading engine in its core. It can download one 
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q

%build


%configure2_5x \
	--with-ca-bundle="%{_sysconfdir}/pki/tls/cert.pem" \
	--enable-bittorrent \
	--enable-metalink \
	--enable-epoll \
	--with-libuv \
	--enable-threads=posix \
	--with-gnutls \
	--without-openssl \
	--with-sqlite3 \
	--without-libxml2 \
	--with-libexpat \
	--with-libcares \
	--with-libz

%make_build


%install
%make_install

%find_lang %{name} --all-name --with-man

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/man1/*

%files doc
%doc %{_docdir}/%{name}
